Webhook Events

Webhook Events endpoints for the ATS API Unified API

10.24.30
Run In Postman
|Full reference

Job Created
Webhook

Event broadcast when a job has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*ats.job.createdats.job.updatedats.job.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

B
Bullhorn ATS
virtual event
Greenhouse
Greenhouse
virtual event
Lever
Lever
virtual event
Recruitee
Recruitee
virtual event
Sage HR
Sage HR
virtual event
SAP SuccessFactors
SAP SuccessFactors
virtual event
Teamtailor
Teamtailor
virtual event
Workable
Workable
virtual event
Workday
Workday
virtual event
JobAdder
JobAdder
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.job.created",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/jobs/123456ASDF",
    "entity_type": "job",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Job Updated
Webhook

Event broadcast when a job has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*ats.job.createdats.job.updatedats.job.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

B
Bullhorn ATS
virtual event
Greenhouse
Greenhouse
virtual event
Lever
Lever
virtual event
Recruitee
Recruitee
virtual event
Sage HR
Sage HR
virtual event
SAP SuccessFactors
SAP SuccessFactors
virtual event
Teamtailor
Teamtailor
virtual event
Workable
Workable
virtual event
Workday
Workday
virtual event
JobAdder
JobAdder
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.job.updated",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/jobs/123456ASDF",
    "entity_type": "job",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Job Deleted
Webhook

Event broadcast when a job has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*ats.job.createdats.job.updatedats.job.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.
B
Bullhorn ATS
Request
Greenhouse
Greenhouse
Request
JobAdder
JobAdder
Request
Lever
Lever
Request
Recruitee
Recruitee
Request
Sage HR
Sage HR
Request
SAP SuccessFactors
SAP SuccessFactors
Request
Teamtailor
Teamtailor
Request
Workable
Workable
Request
Workday
Workday
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.job.deleted",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/jobs/123456ASDF",
    "entity_type": "job",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Applicant Created
WebhookUpcoming

Event broadcast when an applicant has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*ats.job.createdats.job.updatedats.job.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

B
Bullhorn ATS
virtual event
Greenhouse
Greenhouse
virtual event
Lever
Lever
native event
Recruitee
Recruitee
virtual event
Sage HR
Sage HR
virtual event
SAP SuccessFactors
SAP SuccessFactors
virtual event
Teamtailor
Teamtailor
virtual event
Workable
Workable
virtual event
Workday
Workday
virtual event
JobAdder
JobAdder
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.applicant.created",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/applicants/123456ASDF",
    "entity_type": "applicant",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Applicant Updated
WebhookUpcoming

Event broadcast when an applicant has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*ats.job.createdats.job.updatedats.job.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

B
Bullhorn ATS
virtual event
Greenhouse
Greenhouse
virtual event
Lever
Lever
native event
Recruitee
Recruitee
virtual event
Sage HR
Sage HR
virtual event
SAP SuccessFactors
SAP SuccessFactors
virtual event
Teamtailor
Teamtailor
virtual event
Workable
Workable
virtual event
Workday
Workday
virtual event
JobAdder
JobAdder
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.applicant.updated",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/applicants/123456ASDF",
    "entity_type": "applicant",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Applicant Deleted
WebhookUpcoming

Event broadcast when an applicant has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*ats.job.createdats.job.updatedats.job.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Lever
Lever
native event
B
Bullhorn ATS
Request
Greenhouse
Greenhouse
Request
JobAdder
JobAdder
Request
Recruitee
Recruitee
Request
Sage HR
Sage HR
Request
SAP SuccessFactors
SAP SuccessFactors
Request
Teamtailor
Teamtailor
Request
Workable
Workable
Request
Workday
Workday
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.applicant.deleted",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/applicants/123456ASDF",
    "entity_type": "applicant",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Application Updated
Webhook

Event broadcast when an application has been updated.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully

Mapping coverage per connector

B
Bullhorn ATS
virtual event
SAP SuccessFactors
SAP SuccessFactors
virtual event
Teamtailor
Teamtailor
virtual event
Greenhouse
Greenhouse
Request
JobAdder
JobAdder
Request
Lever
Lever
Request
Recruitee
Recruitee
Request
Sage HR
Sage HR
Request
Workable
Workable
Request
Workday
Workday
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.application.updated",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/applications/123456ASDF",
    "entity_type": "application",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Application Deleted
Webhook

Event broadcast when an application has been deleted.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully
B
Bullhorn ATS
Request
Greenhouse
Greenhouse
Request
JobAdder
JobAdder
Request
Lever
Lever
Request
Recruitee
Recruitee
Request
Sage HR
Sage HR
Request
SAP SuccessFactors
SAP SuccessFactors
Request
Teamtailor
Teamtailor
Request
Workable
Workable
Request
Workday
Workday
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.application.deleted",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/applications/123456ASDF",
    "entity_type": "application",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Application Created
Webhook

Event broadcast when an application has been created.

Header parameters

x-apideck-event-typestring
required

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully

Mapping coverage per connector

B
Bullhorn ATS
virtual event
SAP SuccessFactors
SAP SuccessFactors
virtual event
Teamtailor
Teamtailor
virtual event
Greenhouse
Greenhouse
Request
JobAdder
JobAdder
Request
Lever
Lever
Request
Recruitee
Recruitee
Request
Sage HR
Sage HR
Request
Workable
Workable
Request
Workday
Workday
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ats.application.created",
    "unified_api": "ats",
    "service_id": "lever",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ats/applications/123456ASDF",
    "entity_type": "application",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}